API ReferenceService Accounts
List API Keys
List all API keys for a service account.
Endpoint
GET /v1/service-accounts/{id}/keysBase URL: https://api-id.avnology.net
Authentication: API Key or OAuth token with admin:service-accounts:read scope
Request
curl "https://api-id.avnology.net/v1/service-accounts/sa_3c2d1e0f/keys" \
-H "Authorization: Bearer ak_live_..."Response
Success (200 OK)
{
"keys": [
{
"id": "key_abc123",
"prefix": "ak_live_abc1...",
"name": "Production key",
"scopes": ["admin:users:read", "admin:users:write"],
"expire_time": "2027-03-01T09:00:00Z",
"last_used_at": "2026-04-08T10:30:00Z",
"last_used_ip":
Note: The full key value is never returned in list or get operations -- only the prefix.
Related
- Create API Key -- generate a new key
- Rotate API Key -- rotate with grace period
- SDK:
client.admin.listApiKeys(serviceAccountId)(TypeScript)